[LyX/master] lyxbuild: restore commit after reconfigure failure

Scott Kostyshak skostysh at lyx.org
Wed Jul 1 12:59:44 UTC 2026


commit 1cdb9e37d4d3555d78493cfcb2693506ab43ec59
Author: Scott Kostyshak <skostysh at lyx.org>
Date:   Wed Jul 1 14:57:41 2026 +0200

    lyxbuild: restore commit after reconfigure failure
---
 development/lyx-tester/lyxbuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/development/lyx-tester/lyxbuild b/development/lyx-tester/lyxbuild
index 7a2dccf28f..6b262a0f44 100755
--- a/development/lyx-tester/lyxbuild
+++ b/development/lyx-tester/lyxbuild
@@ -1111,7 +1111,7 @@ PYTHON_EXEC="python3"
 runthis misc.log cd "../user-dir"
 echo "${PYTHON_EXEC} \"\${LYX_GIT_REPO}/lib/configure.py\" &&" >> "${LOGS_D}/build-commands"
 ${PYTHON_EXEC} "${git_repo_d}/lib/configure.py" >> "${LOGS_D}/configure-lyx.log" \
-  || { echo "$(WARNINGPREFIX)reconfigure failed." >&2; exit 1; }
+  || { echo "$(WARNINGPREFIX)reconfigure failed." >&2; if_bisect_restore_commit; exit 1; }
 
 LYX_USER_DIR_NOAUTH="${LYX_USER_DIR}-noauth"
 [ -d "${LYX_USER_DIR_NOAUTH}" ] && rm -r "${LYX_USER_DIR_NOAUTH}"


More information about the lyx-cvs mailing list